clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
USRLocFinder.cpp File Reference

Mehtods for finding all instances of a USR. More...

`#include "USRLocFinder.h"`
`#include "USRFinder.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Index/USRGeneration.h"`
`#include "llvm/ADT/SmallVector.h"`
Include dependency graph for USRLocFinder.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::rename

## Functions
std::vector< SourceLocation > | clang::rename::getLocationsOfUSR (const std::string USR, Decl *Decl)

## Detailed Description

Mehtods for finding all instances of a USR.

Our strategy is very simple; we just compare the USR at every relevant AST node with the one provided.

Definition in file USRLocFinder.cpp.

## Variable Documentation

std::vector<clang::SourceLocation> LocationsFound

Definition at line 90 of file USRLocFinder.cpp.

const std::string USR

Definition at line 89 of file USRLocFinder.cpp.

Referenced by clang::rename::RenamingASTConsumer::HandleTranslationUnit().